/** @format */

.App {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

#icon {
  position: relative;
  transform-style: preserve-3d;
  animation: spin 10s linear infinite;
}

@keyframes spin {
  from {
    transform: rotateX(-0.1turn) rotateY(0turn);
  }
  to {
    transform: rotateX(-0.1turn) rotateY(1turn);
  }
}

kbd {
  font-size: xx-large;
  background: #f1f1f1f1;
  padding: 0.5px 5px;
  /* margin-bottom: 7px; */
  margin-right: 2px;
}

div.authOptions {
  gap: 1rem;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

main {
  padding: 1em 2em;
}

label.tooltip {
  text-decoration-style: dotted;
  text-decoration-color: grey;
  text-decoration-line: underline;
  cursor: help;
}

div.p-mb-3 {
  border-radius: 10px;
  padding: 10px;
}

a {
  color: var(--primary-color);
  text-decoration: none;
}

a:hover {
  color: var(--primary-color);
  text-decoration: underline;
}

.p-accordion a:hover {
  text-decoration: unset;
}

/* Form components */
.p-inputtext {
  padding: 0.5rem 1rem;
}

fieldset .p-inputtext,
.field-checkbox:first-of-type,
.p-d-flex {
  margin-top: 0.5rem;
}

span.p-button.p-fileupload-choose.p-component.p-button-icon-only.p-button-rounded.p-button-outlined,
button.p-button.p-component.p-button-outlined.p-button-rounded.p-button-danger.ml-auto.p-button-icon-only {
  aspect-ratio: 1 / 1;
}

div#radioLayout {
  margin-top: 1em;
}

.p-d-flex {
  display: flex;
  flex-direction: row;
}

.p-tabview .p-tabview-nav li.p-highlight .p-tabview-nav-link {
  border-color: #107386;
  color: #107386;
}

.p-field-checkbox {
  margin-right: 2em;
}
input.p-button.p-d-block {
  justify-content: center;
}

.p-checkbox:not(.p-checkbox-disabled) .p-checkbox-box:hover {
  border-color: #107386;
}

.p-slider .p-slider-range {
  background-color: #107386;
}

.p-slider .p-slider-handle {
  border: 2px solid #107386;
}

.p-inputtext:enabled:focus {
  box-shadow: 0 0 0 0.2rem #138ea6b3;
  border-color: var(--primary-color);
}

input[type="file"] {
  position: absolute;

  z-index: -1;
  top: 6px;
  left: 0px;
  font-size: 15px;
  color: rgb(153, 153, 153);
}

.button-wrap {
  position: relative;
  margin: 0.5em;
}

button.p-button.p-component.p-m-3.p-button.p-d-block.p-mx-auto {
  margin: 0.5em;
}

.p-slider.p-slider-horizontal {
  height: 0.5rem;
}

/* Authority Mapping */
.card {
  width: 100%;
}

/* Overview page */
.subtable {
  display: flex;
}

.empty-message {
  display: grid;
  justify-content: center;
  align-content: center;
  align-items: center;
  justify-items: center;
}

.p-radiobutton,
.p-checkbox,
.p-inputswitch {
  margin: 0em 0.5em;
}

.p-slider .p-slider-handle:focus,
.p-inputswitch.p-focus .p-inputswitch-slider {
  outline: 0 none;
  outline-offset: 0;
  box-shadow: 0 0 0 0.2rem var(--primary-color);
}

.p-inputswitch.p-inputswitch-checked .p-inputswitch-slider,
.p-inputswitch.p-inputswitch-checked:not(.p-disabled):hover
  .p-inputswitch-slider,
.p-slider:not(.p-disabled) .p-slider-handle:hover {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
}

.row.titlecase {
  text-transform: capitalize;
}

input.p-button.p-d-block {
  justify-content: center;
  margin: 0.5em 0;
}

div.authorityPickList span {
  font-weight: bold;
}
div.authorityPickList p {
  padding-left: 1em;
  margin: 0;
}

.disabled-state {
  pointer-events: none;
  opacity: 40%;
}

.enabled-state {
  pointer-events: auto;
  opacity: 100%;
}

.status-badge,
.match-badge {
  border-radius: 2px;
  padding: 0.25em 0.5rem;
  font-weight: 700;
  font-size: 12px;
  letter-spacing: 0.3px;
}

.match-badge {
  float: right;
}

.status-badge.status-submitted,
.match-badge.status-submitted {
  background: #c8e6c9;
  color: #348039;
}
.status-badge.status-ready,
.match-badge.match-highScore {
  background: #c8e6c9;
  color: #256029;
}

.status-badge.status-failed,
.match-badge.match-lowScore {
  background: #ffcdd2;
  color: #c63737;
}

.status-badge.status-in_progress,
.status-badge.status-processing,
.match-badge.match-mediumScore {
  background: #feedaf;
  color: #8a5340;
}

.p-splitbutton > .p-button {
  border-radius: 0;
  border-left: white 1px solid;
}

.p-splitbutton {
  min-width: 75%;
}

.cardBody {
  display: flex;
  gap: 1em;
}

/* TODO Unhide table */

.related-works-table {
  display: none;
}

.user-info {
  gap: 1em;
  display: flex;
  flex-direction: column;
  align-content: center;
}
